## lua-system 0.1.0

=== Makefile ===
# busted_time makefile
#
# see csrc/makefile for description of how to customize the build
#
# Targets:
#   install            install system independent support
#   install-all        install for lua51 lua52 lua53
#   print              print the build settings

PLAT?= linux
PLATS= macosx linux win32 mingw freebsd

all: $(PLAT)

$(PLATS) none install local clean:
	$(MAKE) -C src $@

print:
	$(MAKE) -C src $@

install-all:
	$(MAKE) clean
	@cd src && $(MAKE) $(PLAT) LUA_VERSION=5.1
	@cd src && $(MAKE) install LUA_VERSION=5.1
	$(MAKE) clean
	@cd src && $(MAKE) $(PLAT) LUA_VERSION=5.2
	@cd src && $(MAKE) install LUA_VERSION=5.2
	$(MAKE) clean
	@cd src && $(MAKE) $(PLAT) LUA_VERSION=5.3
	@cd src && $(MAKE) install LUA_VERSION=5.3

.PHONY: test

=== debian/changelog ===
lua-system (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #815489)

 -- Jason Pleau <jason@jpleau.ca>  Tue, 08 Mar 2016 21:50:40 -0500

=== debian/control ===
Source: lua-system
Section: interpreters
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9), dh-lua
Standards-Version: 3.9.7
Homepage: https://github.com/o-lim/luasystem/
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git

Package: lua-system
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: platform independent system call library for Lua 
 luasystem is a platform independent system call library for Lua.
 .
 Currently the following functions are supported:
 .
  * gettime
  * sleep

Package: lua-system-dev
Section: libdevel
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: lua-system (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: development files for lua-system
 This package provide the static library for lua-system

## lua-system 0.1.1

=== src/Makefile ===
# luasystem
#
# Definitions in this section can be overriden on the command line or in the
# environment.
#

# PLAT: linux macosx win32 mingw
# platform to build for
PLAT?=linux

# LUA_VERSION: 5.1 5.2 5.3
# lua version to build against
LUA_VERSION?=5.1

# MYCFLAGS: to be set by user if needed
MYCFLAGS=

# MYLDFLAGS: to be set by user if needed
MYLDFLAGS=

# where lua headers are found for macosx builds
# LUAINC_macosx:
# /opt/local/include
LUAINC_macosx_base?=/opt/local/include
LUAINC_macosx?=$(LUAINC_macosx_base)/lua/$(LUA_VERSION)
# FIXME default should this default to fink or to macports?
# What happens when more than one Lua version is installed?
LUAPREFIX_macosx?=/opt/local
CDIR_macosx?=lib/lua/$(LUA_VERSION)
LDIR_macosx?=share/lua/$(LUA_VERSION)

# LUAINC_linux:
# /usr/include/lua$(LUA_VERSION)
# /usr/local/include
# /usr/local/include/lua$(LUA_VERSION)
# where lua headers are found for linux builds
LUAINC_linux_base?=/usr/include
LUAINC_linux?=$(LUAINC_linux_base)/lua/$(LUA_VERSION)
LUAPREFIX_linux?=/usr/local
CDIR_linux?=lib/lua/$(LUA_VERSION)
LDIR_linux?=share/lua/$(LUA_VERSION)

# LUAINC_freebsd:
# /usr/local/include/lua$(LUA_VERSION)
# where lua headers are found for linux builds
LUAINC_freebsd_base?=/usr/local/include/
LUAINC_freebsd?=$(LUAINC_freebsd_base)/lua$(LUA_VERSION)
LUAPREFIX_freebsd?=/usr/local/
CDIR_freebsd?=lib/lua/$(LUA_VERSION)
LDIR_freebsd?=share/lua/$(LUA_VERSION)

# where lua headers are found for mingw builds
# LUAINC_mingw:
# /opt/local/include
LUAINC_mingw_base?=/usr/include
LUAINC_mingw?=$(LUAINC_mingw_base)/lua/$(LUA_VERSION)
LUALIB_mingw_base?=/usr/bin
LUALIB_mingw?=$(LUALIB_mingw_base)/lua/$(LUA_VERSION)/lua$(subst .,,$(LUA_VERSION)).dll
LUAPREFIX_mingw?=/usr
CDIR_mingw?=lua/$(LUA_VERSION)
LDIR_mingw?=lua/$(LUA_VERSION)/lua


# LUAINC_win32:
# LUALIB_win32:
# where lua headers and libraries are found for win32 builds
LUAPREFIX_win32?=
LUAINC_win32?=$(LUAPREFIX_win32)/include/lua/$(LUA_VERSION)
PLATFORM_win32?=Release
CDIR_win32?=bin/lua/$(LUA_VERSION)/$(PLATFORM_win32)
LDIR_win32?=bin/lua/$(LUA_VERSION)/$(PLATFORM_win32)/lua
LUALIB_win32?=$(LUAPREFIX_win32)/lib/lua/$(LUA_VERSION)/$(PLATFORM_win32)
LUALIBNAME_win32?=lua$(subst .,,$(LUA_VERSION)).lib 


# prefix: /usr/local /usr /opt/local /sw
# the top of the default install tree
prefix?=$(LUAPREFIX_$(PLAT))

CDIR?=$(CDIR_$(PLAT))
LDIR?=$(LDIR_$(PLAT))

# DESTDIR: (no default)
# used by package managers to install into a temporary destination
DESTDIR=

#------
# Definitions below can be overridden on the make command line, but
# shouldn't have to be.


#------
# Install directories
#

INSTALL_DIR=install -d
INSTALL_DATA=install -m644
INSTALL_EXEC=install
INSTALL_TOP=$(DESTDIR)$(prefix)

INSTALL_TOP_LDIR=$(INSTALL_TOP)/$(LDIR)
INSTALL_TOP_CDIR=$(INSTALL_TOP)/$(CDIR)

INSTALL_LDIR=$(INSTALL_TOP_LDIR)/system
INSTALL_CDIR=$(INSTALL_TOP_CDIR)/system

#------
# Supported platforms
#
PLATS= macosx linux win32 mingw

#------
# Compiler and linker settings
# for Mac OS X
SO_macosx=so
O_macosx=o
CC_macosx=gcc
DEF_macosx=
CFLAGS_macosx= -I$(LUAINC) $(DEF) -Wall -O2 -fno-common \
	-fvisibility=hidden
LDFLAGS_macosx= -bundle -undefined dynamic_lookup -o
LD_macosx= export MACOSX_DEPLOYMENT_TARGET="10.3"; gcc

#------
# Compiler and linker settings
# for Linux
SO_linux=so
O_linux=o
CC_linux=gcc
DEF_linux=
CFLAGS_linux= -I$(LUAINC) $(DEF) -Wall -Wshadow -Wextra \
	-Wimplicit -O2 -ggdb3 -fpic -fvisibility=hidden
LDFLAGS_linux=-O -shared -fpic -o
LD_linux=gcc

#------
# Compiler and linker settings
# for FreeBSD
SO_freebsd=so
O_freebsd=o
CC_freebsd=gcc
DEF_freebsd=
CFLAGS_freebsd= -I$(LUAINC) $(DEF) -Wall -Wshadow -Wextra \
	-Wimplicit -O2 -ggdb3 -fpic -fvisibility=hidden
LDFLAGS_freebsd=-O -shared -fpic -o
LD_freebsd=gcc

#------
# Compiler and linker settings
# for MingW
SO_mingw=dll
O_mingw=o
CC_mingw=gcc
DEF_mingw=-DWINVER=0x0501
CFLAGS_mingw= -I$(LUAINC) $(DEF) -Wall -O2 -fno-common \
	-fvisibility=hidden
LDFLAGS_mingw= $(LUALIB) -shared -Wl,-s -o
LD_mingw=gcc


#------
# Compiler and linker settings
# for Win32
SO_win32=dll
O_win32=obj
CC_win32=cl
DEF_win32= //D "WIN32" //D "NDEBUG" //D "_WINDOWS" //D "_USRDLL" \
     //D "_CRT_SECURE_NO_WARNINGS" //D "_WINDLL"
CFLAGS_win32=//I "$(LUAINC)" $(DEF) //O2 //Ot //MD //W3 //nologo
LDFLAGS_win32= //nologo //link //NOLOGO //DLL //INCREMENTAL:NO \
    //MANIFEST //MANIFESTFILE:"intermediate.manifest" \
    //MANIFESTUAC:"level='asInvoker' uiAccess='false'" \
	//SUBSYSTEM:WINDOWS //OPT:REF //OPT:ICF //DYNAMICBASE:NO \
    //MACHINE:X86 /LIBPATH:"$(shell cmd //c echo $(LUALIB))" \
	$(LUALIBNAME_win32) //OUT:
LD_win32=cl

.SUFFIXES: .obj

.c.obj:
	$(CC) $(CFLAGS) //Fo"$@" //c $<

#------
# Output file names
#
SO=$(SO_$(PLAT))
O=$(O_$(PLAT))
SOLIB=core.$(SO)

#------
# Settings selected for platform
#
CC=$(CC_$(PLAT))
DEF=$(DEF_$(PLAT))
CFLAGS=$(MYCFLAGS) $(CFLAGS_$(PLAT))
LDFLAGS=$(MYLDFLAGS) $(LDFLAGS_$(PLAT))
LD=$(LD_$(PLAT))
LUAINC= $(LUAINC_$(PLAT))
LUALIB= $(LUALIB_$(PLAT))

#------
# Objects
#
OBJS=core.$(O) compat.$(O) time.$(O)

#------
# Targets
#
default: $(PLAT)

freebsd:
	$(MAKE) all PLAT=freebsd

macosx:
	$(MAKE) all PLAT=macosx

win32:
	$(MAKE) all PLAT=win32

linux:
	$(MAKE) all PLAT=linux

mingw:
	$(MAKE) all PLAT=mingw

none:
	@echo "Please run"
	@echo "   make PLATFORM"
	@echo "where PLATFORM is one of these:"
	@echo "   $(PLATS)"

all: $(SOLIB)

$(SOLIB): $(OBJS)
	$(LD) $(OBJS) $(LDFLAGS)$@

install: all
	$(INSTALL_DIR) $(INSTALL_TOP_LDIR)
	$(INSTALL_DIR) $(INSTALL_CDIR)
	$(INSTALL_EXEC) $(SOLIB) $(INSTALL_CDIR)/$(SOLIB)

local:
	$(MAKE) install INSTALL_TOP_CDIR=.. INSTALL_TOP_LDIR=..

clean:
	rm -f $(SOLIB) $(OBJS) ../system/core.so

print:
	@echo PLAT=$(PLAT)
	@echo LUA_VERSION=$(LUA_VERSION)
	@echo prefix=$(prefix)
	@echo LUAINC_$(PLAT)=$(LUAINC_$(PLAT))
	@echo LUALIB_$(PLAT)=$(LUALIB_$(PLAT))
	@echo INSTALL_TOP_CDIR=$(INSTALL_TOP_CDIR)
	@echo INSTALL_TOP_LDIR=$(INSTALL_TOP_LDIR)

.PHONY: all $(PLATS) default clean none

=== debian/changelog ===
lua-system (0.1.1-1) unstable; urgency=medium

  * New upstream release
    + Remove fix_unreliable_test.patch: merged upstream
  * Update Standards-Version to 3.9.8, no changes needed

 -- Jason Pleau <jason@jpleau.ca>  Tue, 03 May 2016 20:40:44 -0400

## lua-system 0.2.0

=== debian/changelog ===
lua-system (0.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Jason Pleau <jason@jpleau.ca>  Mon, 23 May 2016 16:39:29 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
 Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/o-lim/luasystem/
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git

## lua-system 0.2.1

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,21 @@
 #   install-all        install for lua51 lua52 lua53
 #   print              print the build settings
 
+ifeq ($(origin PLAT),undefined)
+UNAME_S:=$(shell uname -s)
+ifeq ($(UNAME_S),Linux)
+    PLAT=linux
+endif
+ifeq ($(UNAME_S),Darwin)
+    PLAT=macosx
+endif
+ifeq ($(UNAME_S),FreeBSD)
+    PLAT=freebsd
+endif
+ifeq ($(patsubst MINGW%,MINGW,$(UNAME_S)),MINGW)
+    PLAT=mingw
+endif
+endif
 PLAT?= linux
 PLATS= macosx linux win32 mingw freebsd

=== src/Makefile ===
--- 
+++ 
@@ -4,13 +4,28 @@
 # environment.
 #
 
-# PLAT: linux macosx win32 mingw
+# PLAT: linux macosx win32 mingw freebsd
 # platform to build for
+ifeq ($(origin PLAT),undefined)
+UNAME_S:=$(shell uname -s)
+ifeq ($(UNAME_S),Linux)
+    PLAT=linux
+endif
+ifeq ($(UNAME_S),Darwin)
+    PLAT=macosx
+endif
+ifeq ($(UNAME_S),FreeBSD)
+    PLAT=freebsd
+endif
+ifeq ($(patsubst MINGW%,MINGW,$(UNAME_S)),MINGW)
+    PLAT=mingw
+endif
+endif
 PLAT?=linux
 
 # LUA_VERSION: 5.1 5.2 5.3
 # lua version to build against
-LUA_VERSION?=5.1
+LUA_VERSION?=$(basename $(word 2,$(shell lua -v)))
 
 # MYCFLAGS: to be set by user if needed
 MYCFLAGS=
@@ -130,7 +145,7 @@
 DEF_linux=
 CFLAGS_linux= -I$(LUAINC) $(DEF) -Wall -Wshadow -Wextra \
 	-Wimplicit -O2 -ggdb3 -fpic -fvisibility=hidden
-LDFLAGS_linux=-O -shared -fpic -o
+LDFLAGS_linux=-lrt -O -shared -fpic -o
 LD_linux=gcc
 
 #------
@@ -151,7 +166,7 @@
 SO_mingw=dll
 O_mingw=o
 CC_mingw=gcc
-DEF_mingw=-DWINVER=0x0501
+DEF_mingw=-DWINVER=0x0600 -D_WIN32_WINNT=0x0600
 CFLAGS_mingw= -I$(LUAINC) $(DEF) -Wall -O2 -fno-common \
 	-fvisibility=hidden
 LDFLAGS_mingw= $(LUALIB) -shared -Wl,-s -o
@@ -165,7 +180,8 @@
 O_win32=obj
 CC_win32=cl
 DEF_win32= //D "WIN32" //D "NDEBUG" //D "_WINDOWS" //D "_USRDLL" \
-     //D "_CRT_SECURE_NO_WARNINGS" //D "_WINDLL"
+     //D "_CRT_SECURE_NO_WARNINGS" //D "_WINDLL" \
+     //D"WINVER=0x0600" //D"_WIN32_WINNT=0x0600"
 CFLAGS_win32=//I "$(LUAINC)" $(DEF) //O2 //Ot //MD //W3 //nologo
 LDFLAGS_win32= //nologo //link //NOLOGO //DLL //INCREMENTAL:NO \
     //MANIFEST //MANIFESTFILE:"intermediate.manifest" \

=== debian/changelog ===
lua-system (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.3, no changes needed
  * Enable tests: add lua-busted as a Build-Dep

 -- Jason Pleau <jason@jpleau.ca>  Sat, 10 Feb 2018 10:21:06 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: interpreters
 Priority: optional
 Maintainer: Jason Pleau <jason@jpleau.ca>
-Build-Depends: debhelper (>= 9), dh-lua
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), dh-lua, lua-busted
+Standards-Version: 4.1.3
 Homepage: https://github.com/o-lim/luasystem/
 Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-system.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_LUA_OPTS="skip-test-app-dynamic skip-test-app-static"

%:
	dh $@ --buildsystem=lua --with lua

=== debian/tests/control ===
Tests: dh-lua-tests
Restrictions: rw-build-tree
Depends: @, dh-lua, lua-busted

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(RC|rc|pre|dev|beta|alpha)/~$1/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-system-$1\.tar\.gz/ \
https://github.com/o-lim/luasystem/tags .*/v?(\d\S*)\.tar\.gz

## lua-system 0.4.5

=== Makefile ===
--- 
+++ 
@@ -45,3 +45,13 @@
 	@cd src && $(MAKE) install LUA_VERSION=5.3
 
 .PHONY: test
+test:
+	busted
+
+.PHONY: lint
+lint:
+	luacheck .
+
+.PHONY: docs
+docs:
+	ldoc .

=== src/Makefile ===
--- 
+++ 
@@ -85,7 +85,7 @@
 CDIR_win32?=bin/lua/$(LUA_VERSION)/$(PLATFORM_win32)
 LDIR_win32?=bin/lua/$(LUA_VERSION)/$(PLATFORM_win32)/lua
 LUALIB_win32?=$(LUAPREFIX_win32)/lib/lua/$(LUA_VERSION)/$(PLATFORM_win32)
-LUALIBNAME_win32?=lua$(subst .,,$(LUA_VERSION)).lib 
+LUALIBNAME_win32?=lua$(subst .,,$(LUA_VERSION)).lib
 
 
 # prefix: /usr/local /usr /opt/local /sw
@@ -217,7 +217,7 @@
 #------
 # Objects
 #
-OBJS=core.$(O) compat.$(O) time.$(O)
+OBJS=bitflags.$(O) compat.$(O) core.$(O) environment.$(O) random.$(O) term.$(O) time.$(O) wcwidth.$(O)
 
 #------
 # Targets

=== debian/changelog ===
lua-system (0.4.5-1) unstable; urgency=medium

  * debian: wrap-and-sort -sat
  * Update watch file format version to 4.
  * Set upstream metadata fields: Repository-Browse.
  * switch to upstream lunarmodules/luasystem (Closes: #1095894)
  * New upstream version 0.4.5
  * debian: dh-lua.conf: add all new c files
  * debian/copyright: update
  * skip manual tests

 -- Victor Seva <vseva@debian.org>  Sat, 22 Feb 2025 20:06:53 +0100

lua-system (0.2.1-6) unstable; urgency=medium

  * add needed versions that support Lua5.4 tests

 -- Victor Seva <vseva@debian.org>  Thu, 03 Mar 2022 12:09:52 +0100

lua-system (0.2.1-5) unstable; urgency=medium

  * source upload to allow migration

 -- Victor Seva <vseva@debian.org>  Tue, 18 Jan 2022 10:17:27 +0100

lua-system (0.2.1-4) unstable; urgency=medium

  * binary upload (Closes: #1002767)

 -- Victor Seva <vseva@debian.org>  Tue, 11 Jan 2022 10:23:33 +0100

lua-system (0.2.1-3) unstable; urgency=medium

  [ Kim Alvefur ]
  * Enable Lua 5.4 support

  [ Victor Seva ]
  * Lua team as maintainer, added me as uploader

 -- Victor Seva <vseva@debian.org>  Mon, 20 Dec 2021 12:01:17 +0100

lua-system (0.2.1-2) unstable; urgency=medium

  * Team upload.
  * Set Rules-Requires-Root=no
  * Annotate lua-busted Build-Depends with <!nocheck> profile.  Thanks to
    Helmut Grohne for the report.  (Closes: #928664)
  * Build-Depend on debhelper-compat (= 13)
  * Change Vcs-* URLs to Salsa
  * Declare compliance with Policy 4.5.1

 -- James McCoy <jamessan@debian.org>  Mon, 30 Nov 2020 23:28:42 -0500

## lua-system 0.5.1

=== src/Makefile ===
--- 
+++ 
@@ -16,6 +16,9 @@
 endif
 ifeq ($(UNAME_S),FreeBSD)
     PLAT=freebsd
+endif
+ifeq ($(UNAME_S),OpenBSD)
+    PLAT=openbsd
 endif
 ifeq ($(patsubst MINGW%,MINGW,$(UNAME_S)),MINGW)
     PLAT=mingw
@@ -64,6 +67,13 @@
 CDIR_freebsd?=lib/lua/$(LUA_VERSION)
 LDIR_freebsd?=share/lua/$(LUA_VERSION)
 
+# LUAINC_openbsd:
+LUAINC_openbsd_base?=/usr/local/include
+LUAINC_openbsd?=$(LUAINC_openbsd_base)/lua-$(LUA_VERSION)
+LUAPREFIX_openbsd?=/usr/local/
+CDIR_openbsd?=lib/lua/$(LUA_VERSION)
+LDIR_openbsd?=share/lua/$(LUA_VERSION)
+
 # where lua headers are found for mingw builds
 # LUAINC_mingw:
 # /opt/local/include
@@ -159,6 +169,18 @@
 	-Wimplicit -O2 -ggdb3 -fpic -fvisibility=hidden
 LDFLAGS_freebsd=-O -shared -fpic -o
 LD_freebsd=gcc
+
+#------
+# Compiler and linker settings
+# for FreeBSD
+SO_openbsd=so
+O_openbsd=o
+CC_openbsd=clang
+DEF_openbsd=
+CFLAGS_openbsd= -I$(LUAINC) $(DEF) -Wall -Wshadow -Wextra \
+	-Wimplicit -O2 -ggdb3 -fpic -fvisibility=hidden
+LDFLAGS_openbsd=-O -shared -fpic -o
+LD_openbsd=clang
 
 #------
 # Compiler and linker settings
@@ -227,6 +249,9 @@
 freebsd:
 	$(MAKE) all PLAT=freebsd
 
+openbsd:
+	$(MAKE) all PLAT=openbsd
+
 macosx:
 	$(MAKE) all PLAT=macosx

=== debian/changelog ===
lua-system (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

 -- Victor Seva <vseva@debian.org>  Mon, 17 Mar 2025 19:12:55 +0100

## lua-system 0.6.3

=== Makefile ===
--- 
+++ 
@@ -18,12 +18,15 @@
 ifeq ($(UNAME_S),FreeBSD)
     PLAT=freebsd
 endif
+ifeq ($(UNAME_S),OpenBSD)
+    PLAT=openbsd
+endif
 ifeq ($(patsubst MINGW%,MINGW,$(UNAME_S)),MINGW)
     PLAT=mingw
 endif
 endif
 PLAT?= linux
-PLATS= macosx linux win32 mingw freebsd
+PLATS= macosx linux win32 mingw freebsd openbsd
 
 all: $(PLAT)

=== debian/changelog ===
lua-system (0.6.3-2) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support (Closes: #1117971)

 -- Bastian Germann <bage@debian.org>  Tue, 21 Oct 2025 12:46:17 +0200

lua-system (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

 -- Victor Seva <vseva@debian.org>  Fri, 12 Sep 2025 09:09:47 +0200

=== debian/control ===
Source: lua-system
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
 Jason Pleau <jason@jpleau.ca>,
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
 lua-busted (>= 2.0.0-2) <!nocheck>,
 lua-mediator (>= 1.1.2-0-4) <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.0.1
Homepage: https://github.com/lunarmodules/luasystem/
Vcs-Git: https://salsa.debian.org/lua-team/lua-system.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-system

Package: lua-system
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: platform independent system call library for Lua
 luasystem is a platform independent system call library for Lua.
 .
 Currently the following functions are supported:
 .
  * gettime
  * sleep

Package: lua-system-dev
Section: libdevel
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Architecture: any
Depends:
 lua-system (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Description: development files for lua-system
 This package provide the static library for lua-system

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(RC|rc|pre|dev|beta|alpha)/~$1/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lua-system-$1\.tar\.gz/ https://github.com/lunarmodules/luasystem/tags .*/v?(\d\S*)\.tar\.gz
